Bug 892338 - [abrt] gedit-3.6.2-1.fc18: case_insensitive_hash: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.6.2-1.fc18: case_insensitive_hash: Process /usr/bin/gedit was ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:08ca4871d42b75df3c563331665...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-06 13:53 EST by Štefan Gurský
Modified: 2014-02-05 09:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 09:28:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (62.73 KB, text/plain)
2013-01-06 13:53 EST, Štefan Gurský
no flags Details
File: cgroup (129 bytes, text/plain)
2013-01-06 13:53 EST, Štefan Gurský
no flags Details
File: core_backtrace (8.28 KB, text/plain)
2013-01-06 13:53 EST, Štefan Gurský
no flags Details
File: dso_list (18.42 KB, text/plain)
2013-01-06 13:53 EST, Štefan Gurský
no flags Details
File: environ (1.57 KB, text/plain)
2013-01-06 13:53 EST, Štefan Gurský
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-06 13:53 EST, Štefan Gurský
no flags Details
File: maps (81.98 KB, text/plain)
2013-01-06 13:53 EST, Štefan Gurský
no flags Details
File: open_fds (852 bytes, text/plain)
2013-01-06 13:53 EST, Štefan Gurský
no flags Details
File: proc_pid_status (932 bytes, text/plain)
2013-01-06 13:53 EST, Štefan Gurský
no flags Details
File: smolt_data (2.97 KB, text/plain)
2013-01-06 13:53 EST, Štefan Gurský
no flags Details
File: var_log_messages (768 bytes, text/plain)
2013-01-06 13:53 EST, Štefan Gurský
no flags Details

  None (edit)
Description Štefan Gurský 2013-01-06 13:53:22 EST
Description of problem:
I tried saved one file and tried opening another. Both were .tex files and I was using LaTeX plugin.

Version-Release number of selected component:
gedit-3.6.2-1.fc18

Additional info:
backtrace_rating: 4
cmdline:        gedit
crash_function: case_insensitive_hash
executable:     /usr/bin/gedit
kernel:         3.6.11-3.fc18.x86_64
remote_result:  NOTFOUND
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 case_insensitive_hash at fonts.c:757
 #1 pango_font_description_hash at fonts.c:786
 #2 pango_fc_fontset_key_hash at pangofc-fontmap.c:407
 #3 g_hash_table_lookup_node at ghash.c:401
 #4 g_hash_table_lookup at ghash.c:1074
 #5 pango_fc_font_map_load_fontset at pangofc-fontmap.c:1733
 #6 pk_pango_fc_font_map_load_fontset at pk-gtk-module.c:247
 #7 itemize_state_update_for_new_run at pango-context.c:1356
 #8 itemize_state_process_run at pango-context.c:1395
 #9 itemize_with_font at pango-context.c:1558
Comment 1 Štefan Gurský 2013-01-06 13:53:25 EST
Created attachment 673428 [details]
File: backtrace
Comment 2 Štefan Gurský 2013-01-06 13:53:28 EST
Created attachment 673429 [details]
File: cgroup
Comment 3 Štefan Gurský 2013-01-06 13:53:30 EST
Created attachment 673430 [details]
File: core_backtrace
Comment 4 Štefan Gurský 2013-01-06 13:53:33 EST
Created attachment 673431 [details]
File: dso_list
Comment 5 Štefan Gurský 2013-01-06 13:53:35 EST
Created attachment 673432 [details]
File: environ
Comment 6 Štefan Gurský 2013-01-06 13:53:38 EST
Created attachment 673433 [details]
File: limits
Comment 7 Štefan Gurský 2013-01-06 13:53:41 EST
Created attachment 673434 [details]
File: maps
Comment 8 Štefan Gurský 2013-01-06 13:53:43 EST
Created attachment 673435 [details]
File: open_fds
Comment 9 Štefan Gurský 2013-01-06 13:53:46 EST
Created attachment 673436 [details]
File: proc_pid_status
Comment 10 Štefan Gurský 2013-01-06 13:53:48 EST
Created attachment 673437 [details]
File: smolt_data
Comment 11 Štefan Gurský 2013-01-06 13:53:51 EST
Created attachment 673438 [details]
File: var_log_messages
Comment 12 Moez Roy 2013-01-07 13:17:47 EST
was updating F18 Release Candidate which was released yesterday via YumEx and opened gedit as a superuser (sudo gedit), and it crashed.
Comment 13 Fedora End Of Life 2013-12-21 05:13:05 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2014-02-05 09:28:23 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.